Bug 58605 - New port: devel/p5-Glib
Summary: New port: devel/p5-Glib
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-28 04:20 UTC by Cheng-Lung Sung
Modified: 2003-10-29 03:42 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (3.80 KB, text/plain)
2003-10-28 04:20 UTC, Cheng-Lung Sung
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cheng-Lung Sung 2003-10-28 04:20:19 UTC
New port: 
	This module provides perl access to Glib and GLib's GObject libraries
Comment 1 Cheng-Lung Sung 2003-10-28 06:16:10 UTC
sorry, I've detect some error while "make test"
following shar is good now.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	p5-Glib
#	p5-Glib/Makefile
#	p5-Glib/distinfo
#	p5-Glib/pkg-descr
#	p5-Glib/pkg-plist
#
echo c - p5-Glib
mkdir -p p5-Glib > /dev/null 2>&1
echo x - p5-Glib/Makefile
sed 's/^X//' >p5-Glib/Makefile << 'END-of-p5-Glib/Makefile'
X# New ports collection makefile for:		p5-Glib
X# Date created:					Oct 27 2003
X# Whom:						clsung@dragon2.net
X#
X# $FreeBSD$
X#
X
XPORTNAME=	Glib
XPORTVERSION=	1.00
XCATEGORIES=	devel perl5
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	gtk2-perl/${PORTNAME}
X
XMAINTAINER=	clsung@dragon2.net
XCOMMENT=	This module provides access to Glib and GObject libraries
X
XBUILD_DEPENDS=	${SITE_PERL}/ExtUtils/Depends.pm:${PORTSDIR}/devel/p5-ExtUtils-Depends \
X		${SITE_PERL}/ExtUtils/PkgConfig.pm:${PORTSDIR}/devel/p5-ExtUtils-PkgConfig
XRUN_DEPENDS=	${BUILD_DEPENDS}
XLIB_DEPENDS+=	gnome.5:${PORTSDIR}/x11/gnomelibs
X
XUSE_GNOME=	gtk20
XPERL_CONFIGURE=	yes
XCONFIGURE_ARGS+=    disable-threadsafe
X
XMAN3=		Glib.3 \
X		Glib::Object::Subclass.3 \
X		Glib::devel.3 \
X		Glib::xsapi.3
X
X.include <bsd.port.pre.mk>
X
X.if ${PERL_LEVEL} < 500800
XIGNORE=			This port requires perl 5.8.0 or later. Install lang/perl5.8 then try again
X.endif
X
X.include <bsd.port.post.mk>
END-of-p5-Glib/Makefile
echo x - p5-Glib/distinfo
sed 's/^X//' >p5-Glib/distinfo << 'END-of-p5-Glib/distinfo'
XMD5 (Glib-1.00.tar.gz) = 8c20a332f70d25f59c8baa054f643f2f
END-of-p5-Glib/distinfo
echo x - p5-Glib/pkg-descr
sed 's/^X//' >p5-Glib/pkg-descr << 'END-of-p5-Glib/pkg-descr'
XFrom README
X
XThis module provides perl access to Glib and GLib's GObject libraries.
XGLib is a portability and utility library; GObject provides a generic
Xtype system with inheritance and a powerful signal system.  Together
Xthese libraries are used as the foundation for many of the libraries
Xthat make up the Gnome environment, and are used in many unrelated
Xprojects.
X
XThis wrapper attempts to provide a perlish interface while remaining
Xas true as possible to the underlying C API, so that any reference
Xmaterials you can find on using GLib may still apply to using the
Xlibraries from perl.  Where GLib's functionality overlaps perl's,
Xperl's is favored; for example, you will find perl lists and arrays in
Xplace of GSList or GList objects.  Some concepts have been eliminated;
Xyou need never worry about reference-counting on GObjects or GBoxed
Xstructures.  Other concepts have been converted to a perlish analogy;
Xthe GType id will never be seen in perl, as the package name serves
Xthat purpose.  [FIXME link to a document describing this stuff in detail.]
X
XWWW: http://gtk2-perl.sourceforge.net/
END-of-p5-Glib/pkg-descr
echo x - p5-Glib/pkg-plist
sed 's/^X//' >p5-Glib/pkg-plist << 'END-of-p5-Glib/pkg-plist'
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Glib/Glib.so
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Glib/Glib.bs
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Glib/.packlist
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install/Files.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install/gperl.h
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install/typemap
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/devel.pod
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/xsapi.pod
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Object/Subclass.pm
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Glib
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Glib/Object
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Glib
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install 2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Object 2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Glib 2>/dev/null || true
END-of-p5-Glib/pkg-plist
exit
Comment 2 clsung 2003-10-28 06:37:59 UTC
Sorry again, I forgot add 'PKGNAMEPREFIX' in previous shar file.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	p5-Glib
#	p5-Glib/Makefile
#	p5-Glib/distinfo
#	p5-Glib/pkg-descr
#	p5-Glib/pkg-plist
#
echo c - p5-Glib
mkdir -p p5-Glib > /dev/null 2>&1
echo x - p5-Glib/Makefile
sed 's/^X//' >p5-Glib/Makefile << 'END-of-p5-Glib/Makefile'
X# New ports collection makefile for:		p5-Glib
X# Date created:					Oct 27 2003
X# Whom:						clsung@dragon2.net
X#
X# $FreeBSD$
X#
X
XPORTNAME=	Glib
XPORTVERSION=	1.00
XCATEGORIES=	devel perl5
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	gtk2-perl/${PORTNAME}
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER=	clsung@dragon2.net
XCOMMENT=	This module provides access to Glib and GObject libraries
X
XBUILD_DEPENDS=	${SITE_PERL}/ExtUtils/Depends.pm:${PORTSDIR}/devel/p5-ExtUtils-Depends \
X		${SITE_PERL}/ExtUtils/PkgConfig.pm:${PORTSDIR}/devel/p5-ExtUtils-PkgConfig
XRUN_DEPENDS=	${BUILD_DEPENDS}
XLIB_DEPENDS+=	gnome.5:${PORTSDIR}/x11/gnomelibs
X
XUSE_GNOME=	gtk20
XPERL_CONFIGURE=	yes
XCONFIGURE_ARGS+=    disable-threadsafe
X
XMAN3=		Glib.3 \
X		Glib::Object::Subclass.3 \
X		Glib::devel.3 \
X		Glib::xsapi.3
X
X.include <bsd.port.pre.mk>
X
X.if ${PERL_LEVEL} < 500800
XIGNORE=			This port requires perl 5.8.0 or later. Install lang/perl5.8 then try again
X.endif
X
X.include <bsd.port.post.mk>
END-of-p5-Glib/Makefile
echo x - p5-Glib/distinfo
sed 's/^X//' >p5-Glib/distinfo << 'END-of-p5-Glib/distinfo'
XMD5 (Glib-1.00.tar.gz) = 8c20a332f70d25f59c8baa054f643f2f
END-of-p5-Glib/distinfo
echo x - p5-Glib/pkg-descr
sed 's/^X//' >p5-Glib/pkg-descr << 'END-of-p5-Glib/pkg-descr'
XFrom README
X
XThis module provides perl access to Glib and GLib's GObject libraries.
XGLib is a portability and utility library; GObject provides a generic
Xtype system with inheritance and a powerful signal system.  Together
Xthese libraries are used as the foundation for many of the libraries
Xthat make up the Gnome environment, and are used in many unrelated
Xprojects.
X
XThis wrapper attempts to provide a perlish interface while remaining
Xas true as possible to the underlying C API, so that any reference
Xmaterials you can find on using GLib may still apply to using the
Xlibraries from perl.  Where GLib's functionality overlaps perl's,
Xperl's is favored; for example, you will find perl lists and arrays in
Xplace of GSList or GList objects.  Some concepts have been eliminated;
Xyou need never worry about reference-counting on GObjects or GBoxed
Xstructures.  Other concepts have been converted to a perlish analogy;
Xthe GType id will never be seen in perl, as the package name serves
Xthat purpose.  [FIXME link to a document describing this stuff in detail.]
X
XWWW: http://gtk2-perl.sourceforge.net/
END-of-p5-Glib/pkg-descr
echo x - p5-Glib/pkg-plist
sed 's/^X//' >p5-Glib/pkg-plist << 'END-of-p5-Glib/pkg-plist'
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Glib/Glib.so
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Glib/Glib.bs
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Glib/.packlist
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install/Files.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install/gperl.h
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install/typemap
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/devel.pod
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/xsapi.pod
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Object/Subclass.pm
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Glib
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Glib/Object
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Glib
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install 2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Object 2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Glib 2>/dev/null || true
END-of-p5-Glib/pkg-plist
exit
Comment 3 Cheng-Lung Sung 2003-10-29 02:48:26 UTC
After examined dependcies, I put the latest shar now
Note: remove LIBDEPENDS about gnome.5

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	p5-Glib
#	p5-Glib/Makefile
#	p5-Glib/distinfo
#	p5-Glib/pkg-descr
#	p5-Glib/pkg-plist
#
echo c - p5-Glib
mkdir -p p5-Glib > /dev/null 2>&1
echo x - p5-Glib/Makefile
sed 's/^X//' >p5-Glib/Makefile << 'END-of-p5-Glib/Makefile'
X# New ports collection makefile for:		p5-Glib
X# Date created:					Oct 27 2003
X# Whom:						clsung@dragon2.net
X#
X# $FreeBSD$
X#
X
XPORTNAME=	Glib
XPORTVERSION=	1.00
XCATEGORIES=	devel perl5
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	gtk2-perl
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER=	clsung@dragon2.net
XCOMMENT=	This module provides access to Glib and GObject libraries
X
XBUILD_DEPENDS=	${SITE_PERL}/ExtUtils/Depends.pm:${PORTSDIR}/devel/p5-ExtUtils-Depends \
X		${SITE_PERL}/ExtUtils/PkgConfig.pm:${PORTSDIR}/devel/p5-ExtUtils-PkgConfig
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XUSE_GNOME=	gtk20
XPERL_CONFIGURE=	yes
XCONFIGURE_ARGS+=    disable-threadsafe
X
XMAN3=		Glib.3 \
X		Glib::Object::Subclass.3 \
X		Glib::devel.3 \
X		Glib::xsapi.3
X
X.include <bsd.port.pre.mk>
X
X.if ${PERL_LEVEL} < 500800
XIGNORE=			This port requires perl 5.8.0 or later. Install lang/perl5.8 then try again
X.endif
X
X.include <bsd.port.post.mk>
END-of-p5-Glib/Makefile
echo x - p5-Glib/distinfo
sed 's/^X//' >p5-Glib/distinfo << 'END-of-p5-Glib/distinfo'
XMD5 (Glib-1.00.tar.gz) = 8c20a332f70d25f59c8baa054f643f2f
END-of-p5-Glib/distinfo
echo x - p5-Glib/pkg-descr
sed 's/^X//' >p5-Glib/pkg-descr << 'END-of-p5-Glib/pkg-descr'
XFrom README
X
XThis module provides perl access to Glib and GLib's GObject libraries.
XGLib is a portability and utility library; GObject provides a generic
Xtype system with inheritance and a powerful signal system.  Together
Xthese libraries are used as the foundation for many of the libraries
Xthat make up the Gnome environment, and are used in many unrelated
Xprojects.
X
XThis wrapper attempts to provide a perlish interface while remaining
Xas true as possible to the underlying C API, so that any reference
Xmaterials you can find on using GLib may still apply to using the
Xlibraries from perl.  Where GLib's functionality overlaps perl's,
Xperl's is favored; for example, you will find perl lists and arrays in
Xplace of GSList or GList objects.  Some concepts have been eliminated;
Xyou need never worry about reference-counting on GObjects or GBoxed
Xstructures.  Other concepts have been converted to a perlish analogy;
Xthe GType id will never be seen in perl, as the package name serves
Xthat purpose.  [FIXME link to a document describing this stuff in detail.]
X
XWWW: http://gtk2-perl.sourceforge.net/
END-of-p5-Glib/pkg-descr
echo x - p5-Glib/pkg-plist
sed 's/^X//' >p5-Glib/pkg-plist << 'END-of-p5-Glib/pkg-plist'
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Glib/Glib.so
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Glib/Glib.bs
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Glib/.packlist
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install/Files.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install/gperl.h
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install/typemap
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/devel.pod
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/xsapi.pod
X%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Object/Subclass.pm
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Glib
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Glib/Object
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Glib
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Install 2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Glib/Object 2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Glib 2>/dev/null || true
END-of-p5-Glib/pkg-plist
exit
Comment 4 Vanilla I. Shu freebsd_committer 2003-10-29 03:42:29 UTC
State Changed
From-To: open->closed

Committed, thanks. 

BTW, I rename p5-Glib to p5-Glib2.